Skip to main content

Create SSMS Risk

Using this API, riskbits can be added/created at SSMS as provided in the request.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/riskbits/ssms

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/kobilssmsrisks/resources-auth
note

At this moment, this API is applicable only for SSMS based installations.

note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameter fields are required

Request body​

Field NameTypeDescription
idStringId of the risk
riskNameStringName for the risk
riskDescriptionStringDescribe about the risk

Sample Request​

{
"id" : "1234-123-1231",
"riskName":"CodeInjection",
"riskDescription" :"CodeInjection"
}

Response​

StatusDescription
201 CreatedSuccessfully created.
409 ConflictAlready exist.